/* Global CSS Reset */
*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    -moz-text-size-adjust: none;
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
}

body,
h1,
p {
    margin-block-end: 0;
}

body {
    min-height: 100vh;
    line-height: 1.5;
}

h1 {
    line-height: 1.1;
}

button {
    font-family: inherit;
}

/* Importing Fonts */
@font-face {
    font-display: swap;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    src: url(./assets/fonts/open-sans-v44-latin-regular.woff2) format('woff2');
}

/* open-sans-600 - latin */
@font-face {
    font-display: swap;
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    src: url(./assets/fonts/open-sans-v44-latin-600.woff2) format('woff2');
}

/* Root Changes */
:root {
    /* Colors */
    --clr-black: hsl(0, 0%, 0%);
    --clr-white: hsl(0, 0%, 100%);

    --clr-guessBtn: hsl(142, 37%, 45%);
    --clr-guessBtnHover: hsl(142, 35%, 35%);

    --clr-site-background: hsl(207, 12%, 34%);
    --clr-text: hsl(96, 71%, 99%);
    --clr-cold-text: hsl(205, 98%, 64%);
    --clr-warm-text: hsl(358, 65%, 46%);
    --clr-win-text: hsl(142, 37%, 45%);

    /* Font */
    --FF: 'Open Sans', sans-serif;

    --FS-16: 1rem;     /* 16px */

    --FW-normal: normal;
    --FW-600: 600;
}

/* Typography */
body {
    font-family: var(--FF);
    font-size: var(--FS-16);
    text-align: center;
    /* color: var(--clr-text); */
}

.gameTitle {
    /* font-size: 38px; */
    font-weight: var(--FW-600);
}

/* General - Mobile View */
body {
    max-width: 375px;
    background-color: var(--clr-site-background);
    display: flex;
    justify-content: center;
    align-items: center;
}

#gameContainer {
    width: 350px;
    background-color: var(--clr-white);
    padding: 20px;
    border-radius: 12px;
}

.gameTitle,
.gameDesc {
    margin-bottom: 10px;
}

#gameInput {
    display: flex;
    flex-direction: column;
    margin: 0 auto;
}

#guessInput {
    text-align: center;
}

.guessLabel {
    margin-bottom: 10px;
}

#guessInput {
    border-radius: 4px;
    padding: 4px;
    margin-bottom: 12px;
    width: 65%;
    margin: 0 auto 12px;
}

#guessBtn {
    border: none;
    padding: 6px;
    width: 50%;
    margin: 0 auto;
    border-radius: 8px;
    cursor: pointer;
    background-color: var(--clr-guessBtn);
    color: var(--clr-white);
    font-weight: var(--FW-600);
    transition: background-color 0.25s ease-in-out;
}

#guessBtn:hover,
#guessBtn:focus {
    background-color: var(--clr-guessBtnHover);
}

#guessResult {
    margin-top: 14px;
}

/* General - Tablet & Desktop View */
@media (min-width: 750px) {
    body {
        max-width: 750px;
        margin: 0 auto;
    }
}